Module | EimXML::Assertions
In: | lib/eim_xml/assertions.rb

### Methods

assert_has

### Public Instance methods

assert_has(expect, element, message="")

[Source]

        # File lib/eim_xml/assertions.rb, line 4
     4:         def assert_has(expect, element, message="")
     5:                 message << "\n" unless message.size==0
     6:                 message << "<#{element}> doesn't have\n<#{expect.inspect}>"
     7:                 assert_block(message) do
     8:                         element.has?(expect)
     9:                 end
    10:         rescue Test::Unit::AssertionFailedError=>e
    11:                 bt = e.backtrace.find_all do |b|
    12:                         b !~ /#{Regexp.escape(__FILE__)}/
    13:                 end
    14:                 raise Test::Unit::AssertionFailedError, e.message, bt
    15:         end

[Validate]